Bug 828907 - object-storage: parallel DELETE does not remove all objects
object-storage: parallel DELETE does not remove all objects
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Junaid
Depends On:
  Show dependency treegraph
Reported: 2012-06-05 11:02 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:50:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-06-05 11:02:08 EDT
Description of problem:
Glusterfs version: 3.3.0qa45
gluster-swift version: swift-rc1-rpm
glusterfs volume type: distribute-replicate(2x2)
node_timeout in proxy,containter,object conf files is : 60
worker threads in proxy, container, object, account is : 4

Created 250 objects.
Now tried to DELETE while issuing curl command in parallel,

some of objects are not removed and for them the below mentioned messages are found in /var/log/messages

Jun  5 14:45:44 gqac022 proxy-server 05/Jun/2012/14/45/44 DELETE /v1/AUTH_test/cont1/f.126 HTTP/1.0 404 - curl/7.19.7%20%28x86_64-redhat-linux-gnu%29%20libcurl/7.19.7%20NSS/ test%2CAUTH_tk97edb64f5c034fb08097c94b27da92e2 - - - txb509d2620aff4c93955aa2a342e26916 - 24.4095 -
Jun  5 14:45:45 gqac022 container-server - - [05/Jun/2012:14:45:45 +0000] "HEAD /sdb1/181472/AUTH_test/cont1" 204 - "tx84541617bbdd43dc85e9920a790a3943" "-" "-" 0.5272
Jun  5 14:45:45 gqac022 object-server STDOUT: mkstemp----- (txn: tx84541617bbdd43dc85e9920a790a3943)
Jun  5 14:45:45 gqac022 object-server STDOUT: /mnt/gluster-object/AUTH_test/tmp (txn: tx84541617bbdd43dc85e9920a790a3943)

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. as mentioned above
Actual results:

Expected results:

Additional info:
Comment 1 Junaid 2012-06-26 06:06:03 EDT
Can we test this with rc2 rpms and also by setting object_only=yes?
Comment 2 Vijay Bellur 2012-10-31 03:00:17 EDT
Does this problem occur even now?
Comment 3 Junaid 2013-01-22 01:17:28 EST
This should be resolved on the latest set of rpm's gluster-swift-1.7.4.

Note You need to log in before you can comment on or make changes to this bug.